from __future__ import print_function

import sys

from datetime import datetime
from itertools import imap, izip, starmap, tee
from operator import sub


# for /var/log/messages
#parseDate = lambda x: datetime.strptime(x, '%Y-%m-%dT%H:%M:%S')
#getDateStr = lambda x: x.split('.')[0]

# for /var/log/httpd/access_log
parseDate = lambda x: datetime.strptime(x, '%d/%b/%Y:%H:%M:%S')
getDateStr = lambda x: x.split()[3][1:]

input = iter(sys.stdin)

#dates = (parseDate(getDateStr(x)) for x in input)
dates = imap(lambda x: parseDate(getDateStr(x)), input)
dates, dates_ = tee(dates)
dates_.next()

#timeDiffs = (d2 - d1 for d1, d2 in izip(dates, dates_))
timeDiffs = starmap(sub, izip(dates_, dates))

main = any(imap(print, timeDiffs))
